Vue UI Components Documentation

Vue TreeMap Component

The TreeMap component for Vue represents a widget that displays hierarchical data as a set of nested rectangles.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The TreeMap component for Vue requires the following import:

import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue';

Add the jqxTreeMap component to the components section of the the Vue class:

 components: {
JqxTreeMap
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxTreeMap/>

<template>
<JqxTreeMap :width="width" :height="height" :source="data"
:colorRange="colorRange" :renderCallbacks="renderCallbacks">
</JqxTreeMap>
</template>

Properties

The properties of the <JqxTreeMap/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
width: 850,
height: 600,
colorRange: 50,
data: [
{
label: 'Drama',
value: null,
color: '#B3FAFF'
},
{
label: 'Crime',
value: null,
color: '#95FF7A'
},
{
label: 'Action',
value: null,
color: '#FFA3CE'
},
{
label: 'Comedy',
value: null,
color: '#F1A3FF'
},
{
label: 'The Shawshank Redemption',
value: 15.4,
parent: 'Drama',
data: { description: "Two imprisoned men bond over a number of years, finding solace and eventual redemption through acts of common decency.", title: "The Shawshank Redemption (1994)" }
},
{
label: 'Top Gun',
value: 4,
parent: 'Drama',
data: { description: "As students at the Navy's elite fighter weapons school compete to be best in the class, one daring young flyer learns a few things from a civilian instructor that are not taught in the classroom.", title: "Top Gun (1986)" }
},
{
label: 'The Master',
value: 4.5,
parent: 'Drama',
data: { description: "A Naval veteran arrives home from war unsettled and uncertain of his future - until he is tantalized by The Cause and its charismatic leader.", title: "The Master (2012)" }
},
{
label: 'Argo',
value: 6.8,
parent: 'Drama',
data: { description: "A dramatization of the 1980 joint CIA-Canadian secret operation to extract six fugitive American diplomatic personnel out of revolutionary Iran.", title: "Argo (2012)" }
},
{
label: 'Fight Club',
value: 8.8,
parent: 'Crime',
data: { description: "An insomniac office worker looking for a way to change his life crosses paths with a devil-may-care soap maker and they form an underground fight club that evolves into something much, much more.", title: "Fight Club (1999)" }
},
{
label: 'The Godfather',
value: 11,
parent: 'Crime',
data: { description: "The aging patriarch of an organized crime dynasty transfers control of his clandestine empire to his reluctant son.", title: "The Godfather (1972)" }
},
{
label: 'The Dark Knight',
value: 8.9,
parent: 'Action',
data: { description: "When Batman, Gordon and Harvey Dent launch an assault on the mob, they let the clown out of the box, the Joker, bent on turning Gotham on itself and bringing any heroes down to his level.", title: "The Dark Knight (2008)" }
},
{
label: 'Pulp Fiction',
value: 6.0,
parent: 'Crime',
data: { description: "The lives of two mob hit men, a boxer, a gangster's wife, and a pair of diner bandits intertwine in four tales of violence and redemption.", title: "Pulp Fiction (1994)" }
},
{
label: 'Forrest Gump',
value: 8.7,
parent: 'Drama',
data: { description: "Forrest Gump, while not intelligent, has accidentally been present at many historic moments, but his true love, Jenny Curran, eludes him.", title: "Forrest Gump (1994)" }
},
{
label: 'The Matrix',
value: 8.7,
parent: 'Action',
data: { description: "A computer hacker learns from mysterious rebels about the true nature of his reality and his role in the war against its controllers.", title: "The Matrix (1999)" }
},
{
label: '12 Angry Men',
value: 7.9,
parent: 'Drama',
data: { description: "Twelve men must decide the fate of one when one juror objects to the jury's decision.", title: "12 Angry Men (TV 1997)" }
},
{
label: 'Star Wars',
value: 10.8,
parent: 'Action',
data: { description: "Luke Skywalker, a spirited farm boy, joins rebel forces to save Princess Leia from the evil Darth Vader, and the galaxy from the Empire's planet-destroying Death Star..", title: "Star Wars: Episode IV - A New Hope (1977)" }
},
{
label: 'Inception',
value: 9.8,
parent: 'Action',
data: { description: "A skilled extractor is offered a chance to regain his old life as payment for a task considered to be impossible.", title: "Inception (2010)" }
},
{
label: 'Snatch.',
value: 4.3,
parent: 'Crime',
data: { description: "Unscrupulous boxing promoters, violent bookmakers, a Russian gangster, incompetent amateur robbers, and supposedly Jewish jewelers fight to track down a priceless stolen diamond.", title: "Snatch (2000)" }
},
{
label: 'Toy Story',
value: 9.3,
parent: 'Comedy',
data: { description: "A cowboy doll is profoundly threatened and jealous when a new spaceman figure supplants him as top toy in a boy's room.", title: "Toy Story(2005)" }
},
{
label: 'Skyfall',
value: 7,
parent: 'Crime',
data: { description: "Bond's loyalty to M is tested when her past comes back to haunt her. Whilst MI6 comes under attack, 007 must track down and destroy the threat, no matter how personal the cost.", title: "Skyfall (2012)" }
},
{
label: 'Parker',
value: 5.6,
parent: 'Crime',
data: { description: "A thief with a unique code of professional ethics is double-crossed by his crew and left for dead. Assuming a new disguise and forming an unlikely alliance with a woman on the inside, he looks to hijack the score of the crew's latest heist.", title: "Parker (1994)" }
},
{
label: 'District 9',
value: 6.0,
parent: 'Action',
data: { description: "An extraterrestrial race forced to live in slum-like conditions on Earth suddenly finds a kindred spirit in a government agent who is exposed to their biotechnology.", title: "District 9 (2009)" }
},
{
label: 'Stalag 17',
value: 6.1,
parent: 'Comedy',
data: { description: "When two escaping American World War II prisoners are killed, the German POW camp barracks black marketeer, J.J. Sefton, is suspected of being an informer.", title: "Stalag 17 (1953)" }
}
],
renderCallbacks: {
'*': (elementObject, value) => {
if (value.data === undefined) {
let element = elementObject[0];
element.style.backgroundColor = '#fff';
element.style.border = '1px solid #555';
}
else {
elementObject.jqxTooltip({
content: '<div><div style="font-weight: bold; max-width: 200px; font-family: verdana; font-size: 13px;">' + value.data.title + '</div><div style="width: 200px; font-family: verdana; font-size: 12px;">' + value.data.description + '</div></div>',
position: 'mouse',
autoHideDelay: 6000
});
}
}
}
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxTreeMap @bindingComplete="onBindingComplete()"
:width="width" :height="height" :source="data"
:colorRange="colorRange" :renderCallbacks="renderCallbacks">
</JqxTreeMap>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
onBindingComplete: function () {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxTreeMap ref="treemap"></JqxTreeMap>

Here how you can use a component's method:

this.$refs.treemap.render();

methods: {
// Add here all used callbacks and/or events
onBindingComplete: function () {
// Do something...
this.refs.treemap.render();
}
}

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

<template>
<JqxTreeMap ref="treemap" @bindingComplete="onBindingComplete()"
:width="width" :height="height" :source="data"
:colorRange="colorRange" :renderCallbacks="renderCallbacks">
</JqxTreeMap>
</template>
<script>
// Import the components that will be used
import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue';
export default {
components: {
// Adding imported widgets here
JqxTreeMap
},
data: function () {
// Define properties which will use in the widget
return {
width: 850,
height: 600,
colorRange: 50,
data: [
{
label: 'Drama',
value: null,
color: '#B3FAFF'
},
{
label: 'Crime',
value: null,
color: '#95FF7A'
},
{
label: 'Action',
value: null,
color: '#FFA3CE'
},
{
label: 'Comedy',
value: null,
color: '#F1A3FF'
},
{
label: 'The Shawshank Redemption',
value: 15.4,
parent: 'Drama',
data: { description: "Two imprisoned men bond over a number of years, finding solace and eventual redemption through acts of common decency.", title: "The Shawshank Redemption (1994)" }
},
{
label: 'Top Gun',
value: 4,
parent: 'Drama',
data: { description: "As students at the Navy's elite fighter weapons school compete to be best in the class, one daring young flyer learns a few things from a civilian instructor that are not taught in the classroom.", title: "Top Gun (1986)" }
},
{
label: 'The Master',
value: 4.5,
parent: 'Drama',
data: { description: "A Naval veteran arrives home from war unsettled and uncertain of his future - until he is tantalized by The Cause and its charismatic leader.", title: "The Master (2012)" }
},
{
label: 'Argo',
value: 6.8,
parent: 'Drama',
data: { description: "A dramatization of the 1980 joint CIA-Canadian secret operation to extract six fugitive American diplomatic personnel out of revolutionary Iran.", title: "Argo (2012)" }
},
{
label: 'Fight Club',
value: 8.8,
parent: 'Crime',
data: { description: "An insomniac office worker looking for a way to change his life crosses paths with a devil-may-care soap maker and they form an underground fight club that evolves into something much, much more.", title: "Fight Club (1999)" }
},
{
label: 'The Godfather',
value: 11,
parent: 'Crime',
data: { description: "The aging patriarch of an organized crime dynasty transfers control of his clandestine empire to his reluctant son.", title: "The Godfather (1972)" }
},
{
label: 'The Dark Knight',
value: 8.9,
parent: 'Action',
data: { description: "When Batman, Gordon and Harvey Dent launch an assault on the mob, they let the clown out of the box, the Joker, bent on turning Gotham on itself and bringing any heroes down to his level.", title: "The Dark Knight (2008)" }
},
{
label: 'Pulp Fiction',
value: 6.0,
parent: 'Crime',
data: { description: "The lives of two mob hit men, a boxer, a gangster's wife, and a pair of diner bandits intertwine in four tales of violence and redemption.", title: "Pulp Fiction (1994)" }
},
{
label: 'Forrest Gump',
value: 8.7,
parent: 'Drama',
data: { description: "Forrest Gump, while not intelligent, has accidentally been present at many historic moments, but his true love, Jenny Curran, eludes him.", title: "Forrest Gump (1994)" }
},
{
label: 'The Matrix',
value: 8.7,
parent: 'Action',
data: { description: "A computer hacker learns from mysterious rebels about the true nature of his reality and his role in the war against its controllers.", title: "The Matrix (1999)" }
},
{
label: '12 Angry Men',
value: 7.9,
parent: 'Drama',
data: { description: "Twelve men must decide the fate of one when one juror objects to the jury's decision.", title: "12 Angry Men (TV 1997)" }
},
{
label: 'Star Wars',
value: 10.8,
parent: 'Action',
data: { description: "Luke Skywalker, a spirited farm boy, joins rebel forces to save Princess Leia from the evil Darth Vader, and the galaxy from the Empire's planet-destroying Death Star..", title: "Star Wars: Episode IV - A New Hope (1977)" }
},
{
label: 'Inception',
value: 9.8,
parent: 'Action',
data: { description: "A skilled extractor is offered a chance to regain his old life as payment for a task considered to be impossible.", title: "Inception (2010)" }
},
{
label: 'Snatch.',
value: 4.3,
parent: 'Crime',
data: { description: "Unscrupulous boxing promoters, violent bookmakers, a Russian gangster, incompetent amateur robbers, and supposedly Jewish jewelers fight to track down a priceless stolen diamond.", title: "Snatch (2000)" }
},
{
label: 'Toy Story',
value: 9.3,
parent: 'Comedy',
data: { description: "A cowboy doll is profoundly threatened and jealous when a new spaceman figure supplants him as top toy in a boy's room.", title: "Toy Story(2005)" }
},
{
label: 'Skyfall',
value: 7,
parent: 'Crime',
data: { description: "Bond's loyalty to M is tested when her past comes back to haunt her. Whilst MI6 comes under attack, 007 must track down and destroy the threat, no matter how personal the cost.", title: "Skyfall (2012)" }
},
{
label: 'Parker',
value: 5.6,
parent: 'Crime',
data: { description: "A thief with a unique code of professional ethics is double-crossed by his crew and left for dead. Assuming a new disguise and forming an unlikely alliance with a woman on the inside, he looks to hijack the score of the crew's latest heist.", title: "Parker (1994)" }
},
{
label: 'District 9',
value: 6.0,
parent: 'Action',
data: { description: "An extraterrestrial race forced to live in slum-like conditions on Earth suddenly finds a kindred spirit in a government agent who is exposed to their biotechnology.", title: "District 9 (2009)" }
},
{
label: 'Stalag 17',
value: 6.1,
parent: 'Comedy',
data: { description: "When two escaping American World War II prisoners are killed, the German POW camp barracks black marketeer, J.J. Sefton, is suspected of being an informer.", title: "Stalag 17 (1953)" }
}
],
renderCallbacks: {
'*': (elementObject, value) => {
if (value.data === undefined) {
let element = elementObject[0];
element.style.backgroundColor = '#fff';
element.style.border = '1px solid #555';
}
else {
elementObject.jqxTooltip({
content: '<div><div style="font-weight: bold; max-width: 200px; font-family: verdana; font-size: 13px;">' + value.data.title + '</div><div style="width: 200px; font-family: verdana; font-size: 12px;">' + value.data.description + '</div></div>',
position: 'mouse',
autoHideDelay: 6000
});
}
}
}
}
},
beforeCreate: function () {
// Add here any data where you want to transform before components be rendered
},
methods: {
// Add here all used callbacks and/or events
onBindingComplete: function () {
// Do something...
this.refs.treemap.render();
}
}
}
</script>
<style>
</style>

TreeMap Example

<template>
<JqxTreeMap :width="850"
:height="400"
:colorMode="'rangeColors'"
:colorRanges="colorRanges"
:baseColor="'#52CBFF'"
:legendScaleCallback="legendScaleCallback"
:legendLabel="'Population (in billions)'"
:source="data">
</JqxTreeMap>
</template>
<script>
import JqxTreeMap from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtreemap.vue';
export default {
components: {
JqxTreeMap
},
data: function () {
return {
colorRanges: [
{ min: 1254040000, max: 1454040000, color: '#de290b' },
{ min: 1054040000, max: 1254039999, color: '#de440c' },
{ min: 300000000, max: 1054040000, color: '#ea7707' },
{ min: 210000000, max: 460000000, color: '#ee8a06' },
{ min: 190000000, max: 209999999, color: '#f19505' },
{ min: 180000000, max: 189999999, color: '#f6a903' },
{ min: 160000000, max: 179999999, color: '#f8b203' },
{ min: 140000000, max: 159999999, color: '#fabb02' },
{ min: 100000000, max: 139999999, color: '#fbbf01' },
{ min: 90000000, max: 99999999, color: '#fbcd01' },
{ min: 10000000, max: 89999999, color: '#fbde33' }
],
legendScaleCallback: (v) => {
let convertValue = v / 1000000000;
return convertValue.toFixed(2);
},
data: [
{
label: 'China',
value: 1354040000
},
{
label: 'India',
value: 1210193422
},
{
label: 'United States',
value: 315498000
},
{
label: 'Indonesia',
value: 237641326
},
{
label: 'Brazil',
value: 193946886
},
{
label: 'Pakistan',
value: 182228000
},
{
label: 'Nigeria',
value: 166629000
},
{
label: 'Bangladesh',
value: 152518015
},
{
label: 'Russia',
value: 143369806
},
{
label: 'Japan',
value: 127460000
},
{
label: 'Mexico',
value: 112336538
},
{
label: 'Philippines',
value: 92337852
},
{
label: 'Vietnam',
value: 87840000
},
{
label: 'Ethiopia',
value: 84320987
},
{
label: 'Egypt',
value: 84320987
},
{
label: 'Germany',
value: 81946000
}
]
}
}
}
</script>
<style>
html, body {
width: 100%;
height: 100%;
padding: 0;
margin: 0;
overflow: hidden;
}
.jqx-treemap-legend {
width: 380px;
}
</style>

Run Code

Angular UI Components Documentation

Angular TreeMap Component

The TreeMap component for Angular represents a widget that displays hierarchical data as a set of nested rectangles.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxTreeMap [theme]="'fluent'" [width]="getWidth()" [height]="600" [source]="data"
            [colorRange]="50" [renderCallbacks]="renderCallbacks">
</jqxTreeMap>
	

3. Setup Component Logic

app.component.ts


import { Component, ViewEncapsulation } from '@angular/core';

import { jqxTreeMapModule, jqxTreeMapComponent } from 'jqwidgets-ng/jqxtreemap';
@Component({
    selector: 'app-root',
    imports: [jqxTreeMapModule],
    standalone: true,
    styleUrls: ['./app.component.css'],
    templateUrl: './app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent {
    renderCallbacks: any =
        {
            '*': (elementObject: any, value: any): void => {
                if (value.data === undefined) {
                    let element = elementObject[0];
                    element.style.backgroundColor = '#fff';
                    element.style.border = '1px solid #555';
                }
                else {
                    elementObject.jqxTooltip({
                        content: '<div><div style="font-weight: bold; max-width: 200px; font-family: verdana; font-size: 13px;">' + value.data.title + '</div><div style="width: 200px; font-family: verdana; font-size: 12px;">' + value.data.description + '</div></div>',
                        position: 'mouse',
                        autoHideDelay: 6000
                    });
                }
            }
        };

    getWidth(): any {
        if (document.body.offsetWidth < 850) {
            return '90%';
        }

        return 850;
    }

    data: any[] = this.generateData();

    generateData(): any[] {

        let dataSource: any[] =
            [
                {
                    label: 'Drama',
                    value: null,
                    color: '#B3FAFF'
                },
                {
                    label: 'Crime',
                    value: null,
                    color: '#95FF7A'
                },
                {
                    label: 'Action',
                    value: null,
                    color: '#FFA3CE'
                },
                {
                    label: 'Comedy',
                    value: null,
                    color: '#F1A3FF'
                },
                {
                    label: 'The Shawshank Redemption',
                    value: 15.4,
                    parent: 'Drama',
                    data: {
                        description: "Two imprisoned men bond over a number of years, finding solace and eventual redemption through acts of common decency.",
                        title: "The Shawshank Redemption (1994)"
                    }
                },
                {
                    label: 'Top Gun',
                    value: 4,
                    parent: 'Drama',
                    data: {
                        description: "As students at the Navy's elite fighter weapons school compete to be best in the class, one daring young flyer learns a few things from a civilian instructor that are not taught in the classroom.",
                        title: "Top Gun (1986)"
                    }
                },
                {
                    label: 'The Master',
                    value: 4.5,
                    parent: 'Drama',
                    data: {
                        description: "A Naval veteran arrives home from war unsettled and uncertain of his future - until he is tantalized by The Cause and its charismatic leader.",
                        title: "The Master (2012)"
                    }
                },
                {
                    label: 'Argo',
                    value: 6.8,
                    parent: 'Drama',
                    data: {
                        description: "A dramatization of the 1980 joint CIA-Canadian secret operation to extract six fugitive American diplomatic personnel out of revolutionary Iran.",
                        title: "Argo (2012)"
                    }
                },
                {
                    label: 'Fight Club',
                    value: 8.8,
                    parent: 'Crime',
                    data: {
                        description: "An insomniac office worker looking for a way to change his life crosses paths with a devil-may-care soap maker and they form an underground fight club that evolves into something much, much more.",
                        title: "Fight Club (1999)"
                    }
                },
                {
                    label: 'The Godfather',
                    value: 11,
                    parent: 'Crime',
                    data: {
                        description: "The aging patriarch of an organized crime dynasty transfers control of his clandestine empire to his reluctant son.",
                        title: "The Godfather (1972)"
                    }
                },
                {
                    label: 'The Dark Knight',
                    value: 8.9,
                    parent: 'Action',
                    data: {
                        description: "When Batman, Gordon and Harvey Dent launch an assault on the mob, they let the clown out of the box, the Joker, bent on turning Gotham on itself and bringing any heroes down to his level.",
                        title: "The Dark Knight (2008)"
                    }
                },
                {
                    label: 'Pulp Fiction',
                    value: 6.0,
                    parent: 'Crime',
                    data: {
                        description: "The lives of two mob hit men, a boxer, a gangster's wife, and a pair of diner bandits intertwine in four tales of violence and redemption.",
                        title: "Pulp Fiction (1994)"
                    }
                },
                {
                    label: 'Forrest Gump',
                    value: 8.7,
                    parent: 'Drama',
                    data: {
                        description: "Forrest Gump, while not intelligent, has accidentally been present at many historic moments, but his true love, Jenny Curran, eludes him.",
                        title: "Forrest Gump (1994)"
                    }
                },
                {
                    label: 'The Matrix',
                    value: 8.7,
                    parent: 'Action',
                    data: {
                        description: "A computer hacker learns from mysterious rebels about the true nature of his reality and his role in the war against its controllers.",
                        title: "The Matrix (1999)"
                    }
                },
                {
                    label: '12 Angry Men',
                    value: 7.9,
                    parent: 'Drama',
                    data: {
                        description: "Twelve men must decide the fate of one when one juror objects to the jury's decision.",
                        title: "12 Angry Men (TV 1997)"
                    }
                },
                {
                    label: 'Star Wars',
                    value: 10.8,
                    parent: 'Action',
                    data: {
                        description: "Luke Skywalker, a spirited farm boy, joins rebel forces to save Princess Leia from the evil Darth Vader, and the galaxy from the Empire's planet-destroying Death Star..",
                        title: "Star Wars: Episode IV - A New Hope (1977)"
                    }
                },
                {
                    label: 'Inception',
                    value: 9.8,
                    parent: 'Action',
                    data: {
                        description: "A skilled extractor is offered a chance to regain his old life as payment for a task considered to be impossible.",
                        title: "Inception (2010)"
                    }
                },
                {
                    label: 'Snatch.',
                    value: 4.3,
                    parent: 'Crime',
                    data: {
                        description: "Unscrupulous boxing promoters, violent bookmakers, a Russian gangster, incompetent amateur robbers, and supposedly Jewish jewelers fight to track down a priceless stolen diamond.",
                        title: "Snatch (2000)"
                    }
                },
                {
                    label: 'Toy Story',
                    value: 9.3,
                    parent: 'Comedy',
                    data: {
                        description: "A cowboy doll is profoundly threatened and jealous when a new spaceman figure supplants him as top toy in a boy's room.",
                        title: "Toy Story(2005)"
                    }
                },
                {
                    label: 'Skyfall',
                    value: 7,
                    parent: 'Crime',
                    data: {
                        description: "Bond's loyalty to M is tested when her past comes back to haunt her. Whilst MI6 comes under attack, 007 must track down and destroy the threat, no matter how personal the cost.",
                        title: "Skyfall (2012)"
                    }
                },
                {
                    label: 'Parker',
                    value: 5.6,
                    parent: 'Crime',
                    data: {
                        description: "A thief with a unique code of professional ethics is double-crossed by his crew and left for dead. Assuming a new disguise and forming an unlikely alliance with a woman on the inside, he looks to hijack the score of the crew's latest heist.",
                        title: "Parker (1994)"
                    }
                },
                {
                    label: 'District 9',
                    value: 6.0,
                    parent: 'Action',
                    data: {
                        description: "An extraterrestrial race forced to live in slum-like conditions on Earth suddenly finds a kindred spirit in a government agent who is exposed to their biotechnology.",
                        title: "District 9 (2009)"
                    }
                },
                {
                    label: 'Stalag 17',
                    value: 6.1,
                    parent: 'Comedy',
                    data: {
                        description: "When two escaping American World War II prisoners are killed, the German POW camp barracks black marketeer, J.J. Sefton, is suspected of being an informer.",
                        title: "Stalag 17 (1953)"
                    }
                }
            ];

        return dataSource;
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

TreeMap API

API Reference of the jQWidgets TreeMap component for Angular: TreeMap API

React UI Components Documentation

Typescript React TreeMap Component

This tutorial will show you the basics of how to get started with the jQWidgets TreeMap React Component.

Prerequisites

Refer to Getting Started with React before you start with this help topic.

Structure


I. Imports:

import * as React from 'react';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';
import JqxTreeMap, { ITreeMapProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtreemap';

II. Class:

class App extends React.PureComponent<{}, ITreeMapProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxTreeMap
width={this.state.width} height={"100%"} .....
/>
)
}
}

III. Render:

ReactDOM.render(<App />, document.getElementById('app'));

Events

The event names in React are constructed of the original event names starting with capital letter plus on upfront:

class App extends React.PureComponent<{}, ITreeMapProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxTreeMap onNameOfEvent={this.handleEvent}
width={this.state.width} height={"100%"} .....
/>
)
}
private handleEvent(e: Event): void {
// Do Something ...
}
}

Methods & Properties

This is how you call methods & props:

//Get Methods
const value = this.myTreeMap.current!.methodName(arg1, arg2);
//Set Methods
this.myTreeMap.current!.methodName(arg1, arg2);
//Get Properties
const height = this.state.height;
//Set Properties
this.setState({ height: 250 });

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

this.myTreeMap.current!.setOptions({ width: 350, height: 400 });

Every component also have a method getOptions which returns the value of the requested option.

TreeMap API

API Reference of the jQWidgets TreeMap React Component: TreeMap API

TreeMap Demos

Demos Reference of the jQwidgets TreeMap React Component: TreeMap Demos